## drizzle 2010.09.1802

=== debian/control ===
Source: drizzle
Section: misc
Priority: optional
Maintainer: Monty Taylor <mordred@inaugust.com>
Uploaders: Clint Byrum <clint@fewbar.com>
Build-Depends: debhelper (>= 7.0.50), 
 chrpath,
 doxygen,
 perl (>= 5.6.0),
 python,
 zlib1g-dev (>= 1:1.1.3-5),
 libreadline5-dev | libreadline-dev,
 flex,
 bison,
 protobuf-compiler,
 libprotobuf-dev,
 gperf,
 libpcre3-dev,
 libevent-dev,
 gettext,
 intltool,
 uuid-dev,
 libpam0g-dev,
 libgearman-dev (>= 0.10),
 libcurl4-gnutls-dev,
 libgcrypt11-dev,
 libmemcached-dev (>= 0.39),
 libboost-dev,
 libboost-program-options-dev,
 libboost-thread-dev,
 libboost-date-time-dev,
 libboost-filesystem-dev,
 libboost-regex-dev,
 libhaildb-dev (>= 2.0) | libinnodb-dev (>= 1.0.6.6750),
 libtokyocabinet-dev (>= 1.4.23),
 python-sphinx,
 systemtap-sdt-dev,
 pandora-build,
 automake,
 autoconf,
 libtool
Standards-Version: 3.9.1
Homepage: http://launchpad.net/pkg-drizzle
Vcs-Browser: http://bazaar.launchpad.net/~drizzle-developers/drizzle/debian/files
Vcs-Bzr: http://bazaar.launchpad.net/~drizzle-developers/drizzle/debian

Package: drizzle-client
Architecture: any
Depends: debianutils (>=1.6), ${shlibs:Depends}, ${misc:Depends}
Description: Client binaries for Drizzle Database
 The Drizzle project is building a database optimized for Cloud and Net 
 applications. It is being designed for massive concurrency on modern 
 multi-cpu/core architecture. The code is originally derived from MySQL. 
 .
 This package includes the client binaries.

Package: drizzle-server
Architecture: any                                                               
Suggests: tinyca
Pre-Depends: adduser (>= 3.40)
Depends: drizzle-client (>= ${source:Version}),
 libdrizzledmessage0 (= ${binary:Version}),
 psmisc,
 passwd,
 lsb-base (>= 3.0-10),
 ${shlibs:Depends},
 ${misc:Depends}
Description: Server binaries for Drizzle Database
 The Drizzle project is building a database optimized for Cloud and Net 
 applications. It is being designed for massive concurrency on modern 
 multi-cpu/core architecture. The code is originally derived from MySQL. 
 .
 This package includes the server binaries.

Package: drizzle-plugin-dev
Architecture: all
Recommends: protobuf-compiler
Depends: build-essential,
 python,
 autoconf,
 automake,
 libtool,
 zlib1g-dev (>= 1:1.1.3-5),
 libreadline5-dev | libreadline-dev,
 libprotobuf-dev,
 libpcre3-dev,
 libevent-dev,
 gettext,
 intltool,
 uuid-dev,
 libpam0g-dev,
 lsb-base (>= 3.0-10),
 libgearman-dev,
 libcurl4-gnutls-dev,
 libmemcached-dev (>= 0.39),
 libboost-dev,
 libboost-program-options-dev,
 libboost-thread-dev,
 libboost-date-time-dev,
 libboost-filesystem-dev,
 libboost-regex-dev,
 libhaildb-dev (>= 2.0) | libinnodb-dev (>= 1.0.6.6750),
 libtokyocabinet-dev (>= 1.4.23),
 libdrizzledmessage-dev,
 pandora-build,
 ${misc:Depends}
Description: Development files for Drizzle plugin development
 The Drizzle project is building a database optimized for Cloud and Net 
 applications. It is being designed for massive concurrency on modern 
 multi-cpu/core architecture. The code is originally derived from MySQL. 
 .
 This package includes the headers needed to develop plugins.


Package: libdrizzledmessage0
Section: libs
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Library containing serialized messages used with Drizzle
 The Drizzle project is building a database optimized for Cloud and Net 
 applications. It is being designed for massive concurrency on modern 
 multi-cpu/core architecture. The code is originally derived from MySQL. 
 .
 This package includes the protobuf-based message serializations.

Package: libdrizzledmessage-dev
Section: libdevel
Architecture: any
Depends: libdrizzledmessage0 (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends}
Description: Devel library containing serialized messages used with Drizzle
 The Drizzle project is building a database optimized for Cloud and Net 
 applications. It is being designed for massive concurrency on modern 
 multi-cpu/core architecture. The code is originally derived from MySQL. 
 .
 This package includes the protobuf-based message serializations dev files.

Package: drizzle-doc
Section: doc
Architecture: all
Depends: libjs-jquery, ${misc:Depends}
Description: API Documentation for Drizzle internals
 The Drizzle project is building a database optimized for Cloud and Net 
 applications. It is being designed for massive concurrency on modern 
 multi-cpu/core architecture. The code is originally derived from MySQL. 
 .
 This package includes the API docs for all of the Drizzle internals.


Package: drizzle-dev
Architecture: all
Depends: drizzle-plugin-dev (= ${source:Version}),
 bzr,
 bzrtools,
 uncrustify,
 protobuf-compiler,
 lcov,
 doxygen,
 perl,
 flex,
 bison,
 gperf,
 valgrind,
 systemtap-sdt-dev,
 ${misc:Depends} 
Description: Development files for Drizzle development
 The Drizzle project is building a database optimized for Cloud and Net 
 applications. It is being designed for massive concurrency on modern 
 multi-cpu/core architecture. The code is originally derived from MySQL. 
 .
 This is an empty package depends on everything needed to hack on Drizzle.

Package: drizzle-dbg
Section: debug
Architecture: any
Priority: extra
Depends: drizzle-server (= ${binary:Version}),
 drizzle-client (= ${binary:Version}),
 ${shlibs:Depends}, ${misc:Depends}
Description: Debugging symbols for Drizzle
 The Drizzle project is building a database optimized for Cloud and Net 
 applications. It is being designed for massive concurrency on modern 
 multi-cpu/core architecture. The code is originally derived from MySQL. 
 .
 This package provides debugging symbols.

Package: drizzle
Architecture: all
Depends: drizzle-server, drizzle-client, ${misc:Depends}
Description: Database for the cloud (meta package depending on client and server)
 The Drizzle project is building a database optimized for Cloud and Net 
 applications. It is being designed for massive concurrency on modern 
 multi-cpu/core architecture. The code is originally derived from MySQL. 
 .
 This is an empty package that installs both client and server packages.

Package: libdrizzle-dev
Section: libdevel
Architecture: any
Depends: libdrizzle0 (= ${binary:Version}), zlib1g-dev, ${misc:Depends}
Description: library for the Drizzle and MySQL protocols, development files
 libdrizzle is a library implementing both the Drizzle and MySQL protocols.
 It has been designed to be light on memory usage, thread safe,
 and provide full access to server side methods.
 .
 This package provides the files needed for development.

Package: libdrizzle-dbg
Section: debug
Architecture: any
Priority: extra
Depends: libdrizzle0 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: library for the Drizzle and MySQL protocols, debug symbols
 libdrizzle is a library implementing both the Drizzle and MySQL protocols.
 It has been designed to be light on memory usage, thread safe,
 and provide full access to server side methods.
 .
 This package provides debugging symbols.

Package: libdrizzle-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Description: library for the Drizzle and MySQL protocols, API documentation
 libdrizzle is a library implementing both the Drizzle and MySQL protocols.
 It has been designed to be light on memory usage, thread safe,
 and provide full access to server side methods.
 .
 This package provides doxygen documentation for the API.

Package: libdrizzle0
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: library for the Drizzle and MySQL protocols
 libdrizzle is a library implementing both the Drizzle and MySQL
 protocols.
 It has been designed to be light on memory usage, thread safe,
 and provide full access to server side methods.
 .
 This package provides the Drizzle client library.
