=== debian/rules ===
#!/usr/bin/make -f

#Don't override any flags. k thanx bye
CFLAGS=
CPPFLAGS=
LDFLAGS=
CXXFLAGS=

MAKE_J = -j$(shell if [ -f /proc/cpuinfo ] ; then grep -c processor.* /proc/cpuinfo ; else echo 1 ; fi)
ifeq (${MAKE_J}, -j0)
  MAKE_J = -j1
endif


TMP=$(CURDIR)/debian/tmp/

%:
	dh $@

override_dh_auto_configure:
	bash config/autorun.sh
	dh_auto_configure -- --disable-rpath

override_dh_auto_build:
	${MAKE} ${MAKE_J}
	${MAKE} doxygen
	${MAKE} html

override_dh_auto_install:
	dh_auto_install
	cp debian/drizzledump.1 $(TMP)/usr/share/man/man1

override_dh_strip:
	dh_strip -Xdrizzled -Xplugin -Xbin --dbg-package=libdrizzle-dbg
	dh_strip -Xlibdrizzle.so --dbg-package=drizzle-dbg

override_dh_auto_test:
	echo "skipping tests"
	
get-orig-source:
	uscan --verbose --force-download --rename --repack --destdir=..
