## drizzle 2011.03.13

=== debian/control ===
Source: drizzle
Section: database
Priority: extra
Maintainer: Tobias Frost <tobi@coldtobi.de>
Build-Depends: autoconf,
               automake,
               bison,
	       po-debconf,
               debhelper (>= 7.0.50),
               doxygen,
               flex,
               gettext,
               gperf,
               intltool,
               libaio-dev [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386],
               libboost-date-time-dev,
               libboost-dev,
               libboost-filesystem-dev,
               libboost-iostreams-dev,
               libboost-program-options-dev,
               libboost-regex-dev,
               libboost-test-dev,
               libboost-thread-dev,
               libcloog-ppl-dev,
               libcurl4-gnutls-dev,
               libgcrypt11-dev,
               libgearman-dev (>= 0.27-2),
               libhaildb-dev (>= 2.3.2),
               libldap2-dev,
               libmemcached-dev (>= 0.39),
               libpam0g-dev,
               libpcre3-dev,
               libprotobuf-dev,
               librabbitmq-dev,
               libreadline-dev (>= 5.0),
               libtokyocabinet-dev (>= 1.4.23),
               libtool,
               pandora-build,
               protobuf-compiler,
               python-sphinx,
               systemtap-sdt-dev [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386],
               uuid-dev,
               zlib1g-dev (>= 1:1.1.3-5)
Standards-Version: 3.9.2
Homepage: http://launchpad.net/drizzle

Package: drizzle-client
Architecture: any
Priority: optional
Depends: debianutils (>=1.6), ${misc:Depends}, ${shlibs:Depends}
Description: Client binaries for Drizzle Database
 The Drizzle project is building a database optimized for Cloud and Net
 applications. It is being designed for massive concurrency on modern
 multi-cpu/core architecture. The code is originally derived from MySQL.
 .
 This package includes the client binaries.

Package: drizzle
Architecture: any
Pre-Depends: adduser (>= 3.40)
Conflicts: drizzle-server
Replaces: drizzle-server
Depends: drizzle-client (>= ${source:Version}),
         libdrizzledmessage0 (= ${binary:Version}),
         lsb-base (>= 3.0-10),
         passwd,
         psmisc,
         ${misc:Depends},
         ${shlibs:Depends}
Description: Server binaries for Drizzle Database
 The Drizzle project is building a database optimized for Cloud and Net
 applications. It is being designed for massive concurrency on modern
 multi-cpu/core architecture. The code is originally derived from MySQL.
 .
 This package includes the server binaries.

Package: drizzle-plugin-auth-file
Architecture: any
Depends: drizzle (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Description: File-based authentication for Drizzle
 The Drizzle project is building a database optimized for Cloud and Net
 applications. It is being designed for massive concurrency on modern
 multi-cpu/core architecture. The code is originally derived from MySQL.
 .
 This package includes the File-based Authentication plugin.

Package: drizzle-plugin-auth-http
Architecture: any
Depends: drizzle (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Description: HTTP authentication for Drizzle
 The Drizzle project is building a database optimized for Cloud and Net
 applications. It is being designed for massive concurrency on modern
 multi-cpu/core architecture. The code is originally derived from MySQL.
 .
 This package includes the HTTP Authentication plugin.

Package: drizzle-plugin-auth-ldap
Architecture: any
Depends: drizzle (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Description: LDAP authentication for Drizzle
 The Drizzle project is building a database optimized for Cloud and Net
 applications. It is being designed for massive concurrency on modern
 multi-cpu/core architecture. The code is originally derived from MySQL.
 .
 This package includes the LDAP Authentication plugin.

Package: drizzle-plugin-auth-pam
Architecture: any
Depends: drizzle (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Description: PAM authentication for Drizzle
 The Drizzle project is building a database optimized for Cloud and Net
 applications. It is being designed for massive concurrency on modern
 multi-cpu/core architecture. The code is originally derived from MySQL.
 .
 This package includes the PAM Authentication plugin.

Package: drizzle-plugin-filtered-replicator
Architecture: any
Depends: drizzle (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Description: Filtered Replicator for Drizzle
 The Drizzle project is building a database optimized for Cloud and Net
 applications. It is being designed for massive concurrency on modern
 multi-cpu/core architecture. The code is originally derived from MySQL.
 .
 This package includes the Filtered Replicator plugin.

Package: drizzle-plugin-haildb
Architecture: any
Depends: drizzle (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Description: HailDB Storage Engine for Drizzle
 The Drizzle project is building a database optimized for Cloud and Net
 applications. It is being designed for massive concurrency on modern
 multi-cpu/core architecture. The code is originally derived from MySQL.
 .
 This package includes the HailDB Storage Engine plugin.

Package: drizzle-plugin-gearman-udf
Architecture: any
Depends: drizzle (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Description: Gearman User Defined Functions for Drizzle
 The Drizzle project is building a database optimized for Cloud and Net
 applications. It is being designed for massive concurrency on modern
 multi-cpu/core architecture. The code is originally derived from MySQL.
 .
 This package includes the Gearman User Defined Functions plugin.

Package: drizzle-plugin-logging-gearman
Architecture: any
Depends: drizzle (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Description: Gearman Logging for Drizzle
 The Drizzle project is building a database optimized for Cloud and Net
 applications. It is being designed for massive concurrency on modern
 multi-cpu/core architecture. The code is originally derived from MySQL.
 .
 This package includes the Gearman Logging plugin.

Package: drizzle-plugin-logging-query
Architecture: any
Depends: drizzle (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Description: Query Logging for Drizzle
 The Drizzle project is building a database optimized for Cloud and Net
 applications. It is being designed for massive concurrency on modern
 multi-cpu/core architecture. The code is originally derived from MySQL.
 .
 This package includes the Query Logging plugin.

Package: drizzle-plugin-mysql-protocol
Architecture: any
Depends: drizzle (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Conflicts: mysql-server
Recommends: drizzle-plugin-mysql-unix-socket-protocol
Description: MySQL Protocol for Drizzle
 The Drizzle project is building a database optimized for Cloud and Net
 applications. It is being designed for massive concurrency on modern
 multi-cpu/core architecture. The code is originally derived from MySQL.
 .
 This package includes the MySQL Protocol Plugin.

Package: drizzle-plugin-mysql-unix-socket-protocol
Architecture: any
Depends: drizzle (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Conflicts: mysql-server
Description: MySQL Unix Domain Socket Protocol for Drizzle
 The Drizzle project is building a database optimized for Cloud and Net
 applications. It is being designed for massive concurrency on modern
 multi-cpu/core architecture. The code is originally derived from MySQL.
 .
 This package includes the MySQL Unix Domain Socket Protocol Plugin.

Package: drizzle-plugin-performance-dictionary
Architecture: any
Depends: drizzle (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Description: Performance Dictionary for Drizzle
 The Drizzle project is building a database optimized for Cloud and Net
 applications. It is being designed for massive concurrency on modern
 multi-cpu/core architecture. The code is originally derived from MySQL.
 .
 This package includes the Performance Dictionary plugin.

Package: drizzle-plugin-pbms
Architecture: any
Depends: drizzle (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Description: PrimeBase Blob Streaming for Drizzle
 The Drizzle project is building a database optimized for Cloud and Net
 applications. It is being designed for massive concurrency on modern
 multi-cpu/core architecture. The code is originally derived from MySQL.
 .
 This package includes the PrimeBase Blob Streaming plugin.

Package: drizzle-plugin-rabbitmq
Architecture: any
Depends: drizzle (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Description: RabbitMQ Transaction Log for Drizzle
 The Drizzle project is building a database optimized for Cloud and Net
 applications. It is being designed for massive concurrency on modern
 multi-cpu/core architecture. The code is originally derived from MySQL.
 .
 This package includes the RabbitMQ Transaction Log plugin.

Package: drizzle-plugin-slave
Architecture: any
Depends: drizzle (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Description: Replication Slave Plugin for Drizzle
 The Drizzle project is building a database optimized for Cloud and Net
 applications. It is being designed for massive concurrency on modern
 multi-cpu/core architecture. The code is originally derived from MySQL.
 .
 This package includes the replication slave plugin.

Package: drizzle-plugin-simple-user-policy
Architecture: any
Depends: drizzle (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Description: Simple User Policy for Drizzle
 The Drizzle project is building a database optimized for Cloud and Net
 applications. It is being designed for massive concurrency on modern
 multi-cpu/core architecture. The code is originally derived from MySQL.
 .
 This package includes a plugin implementing a simple schema-per-user
 authorization policy.

Package: drizzle-plugin-dev
Section: devel
Architecture: any
Recommends: protobuf-compiler
Depends: autoconf,
         automake,
         build-essential,
         gettext,
         intltool,
         libaio-dev [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386],
         libboost-date-time-dev,
         libboost-dev,
         libboost-filesystem-dev,
         libboost-iostreams-dev,
         libboost-program-options-dev,
         libboost-regex-dev,
         libboost-thread-dev,
         libcurl4-gnutls-dev,
         libdrizzledmessage-dev,
         libgearman-dev,
         libhaildb-dev (>= 2.3.2),
         libldap2-dev,
         libmemcached-dev (>= 0.39),
         libpam0g-dev,
         libpcre3-dev,
         libprotobuf-dev,
         libreadline5-dev | libreadline-dev,
         libtokyocabinet-dev (>= 1.4.23),
         libtool,
         lsb-base (>= 3.0-10),
         pandora-build,
         python,
         uuid-dev,
         zlib1g-dev (>= 1:1.1.3-5),
         ${misc:Depends}
Description: Development files for Drizzle plugin development
 The Drizzle project is building a database optimized for Cloud and Net
 applications. It is being designed for massive concurrency on modern
 multi-cpu/core architecture. The code is originally derived from MySQL.
 .
 This package includes the headers needed to develop plugins.

Package: libdrizzledmessage0
Section: libs
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Library containing serialized messages used with Drizzle
 The Drizzle project is building a database optimized for Cloud and Net
 applications. It is being designed for massive concurrency on modern
 multi-cpu/core architecture. The code is originally derived from MySQL.
 .
 This package includes the protobuf-based message serializations.

Package: libdrizzledmessage-dev
Section: libdevel
Architecture: any
Depends: libdrizzledmessage0 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
