=== debian/watch ===
version=3
http://launchpad.net/drizzle http://launchpad.net/drizzle/.*/drizzle7-(.*)\.tar\.gz
