## drizzle 2012.01.30

=== debian/control ===
--- 
+++ 
@@ -5,12 +5,13 @@
 Build-Depends: autoconf,
                automake,
                bison,
-	       po-debconf,
                debhelper (>= 7.0.50),
+               dh-autoreconf,
                doxygen,
                flex,
                gettext,
                gperf,
+               hardening-wrapper,
                intltool,
                libaio-dev [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386],
                libboost-date-time-dev,
@@ -25,7 +26,6 @@
                libcurl4-gnutls-dev,
                libgcrypt11-dev,
                libgearman-dev (>= 0.27-2),
-               libhaildb-dev (>= 2.3.2),
                libldap2-dev,
                libmemcached-dev (>= 0.39),
                libpam0g-dev,
@@ -33,16 +33,21 @@
                libprotobuf-dev,
                librabbitmq-dev,
                libreadline-dev (>= 5.0),
-               libtokyocabinet-dev (>= 1.4.23),
                libtool,
+               libv8-dev [amd64 armel armhf i386 mipsel],
                pandora-build,
+               po-debconf,
                protobuf-compiler,
-               python-sphinx,
+               python,
+               python-sphinx (>= 1.0.7+dfsg),
                systemtap-sdt-dev [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386],
                uuid-dev,
                zlib1g-dev (>= 1:1.1.3-5)
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Homepage: http://launchpad.net/drizzle
+Vcs-Browser: https://gitorious.org/drizzle-debian/drizzle-debian/trees/master
+Vcs-Git: http://git.gitorious.org/drizzle-debian/drizzle-debian.git
+
 
 Package: drizzle-client
 Architecture: any
@@ -76,7 +81,10 @@
 
 Package: drizzle-plugin-auth-file
 Architecture: any
-Depends: drizzle (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
+Depends: drizzle (= ${binary:Version}),
+         pwgen,
+         ${misc:Depends},
+         ${shlibs:Depends}
 Description: File-based authentication for Drizzle
  The Drizzle project is building a database optimized for Cloud and Net
  applications. It is being designed for massive concurrency on modern
@@ -114,6 +122,37 @@
  .
  This package includes the PAM Authentication plugin.
 
+Package: drizzle-plugin-auth-schema
+Architecture: any
+Depends: drizzle (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
+Description: Schema authentication for Drizzle
+ The Drizzle project is building a database optimized for Cloud and Net
+ applications. It is being designed for massive concurrency on modern
+ multi-cpu/core architecture. The code is originally derived from MySQL.
+ .
+ This package includes the Schema Authentication plugin.
+
+Package: drizzle-plugin-js
+Architecture: armel armhf i386 amd64 mipsel
+Depends: drizzle (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
+Description: Javascript plugin for Drizzle
+ The Drizzle project is building a database optimized for Cloud and Net
+ applications. It is being designed for massive concurrency on modern
+ multi-cpu/core architecture. The code is originally derived from MySQL.
+ .
+ This package includes the Javascript plugin.
+
+
+Package: drizzle-plugin-debug
+Architecture: any
+Depends: drizzle (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
+Description: Plugin that facilitates debugging Drizzle
+ The Drizzle project is building a database optimized for Cloud and Net
+ applications. It is being designed for massive concurrency on modern
+ multi-cpu/core architecture. The code is originally derived from MySQL.
+ .
+ This package includes the Debug plugin.
+
 Package: drizzle-plugin-filtered-replicator
 Architecture: any
 Depends: drizzle (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
@@ -124,16 +163,6 @@
  .
  This package includes the Filtered Replicator plugin.
 
-Package: drizzle-plugin-haildb
-Architecture: any
-Depends: drizzle (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
-Description: HailDB Storage Engine for Drizzle
- The Drizzle project is building a database optimized for Cloud and Net
- applications. It is being designed for massive concurrency on modern
- multi-cpu/core architecture. The code is originally derived from MySQL.
- .
- This package includes the HailDB Storage Engine plugin.
-
 Package: drizzle-plugin-gearman-udf
 Architecture: any
 Depends: drizzle (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
@@ -144,6 +173,26 @@
  .
  This package includes the Gearman User Defined Functions plugin.
 
+Package: drizzle-plugin-http-functions
+Architecture: any
+Depends: drizzle (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
+Description: HTTP Functions for Drizzle
+ The Drizzle project is building a database optimized for Cloud and Net
+ applications. It is being designed for massive concurrency on modern
+ multi-cpu/core architecture. The code is originally derived from MySQL.
+ .
+ This package includes the HTTP Functions plugin.
+
+Package: drizzle-plugin-json-server
+Architecture: any
+Depends: drizzle (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
+Description: JSON HTTP (NoSQL) interface for Drizzle
+ The Drizzle project is building a database optimized for Cloud and Net
+ applications. It is being designed for massive concurrency on modern
+ multi-cpu/core architecture. The code is originally derived from MySQL.
+ .
+ This package includes the JSON Server plugin.
+
 Package: drizzle-plugin-logging-gearman
 Architecture: any
 Depends: drizzle (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
@@ -164,29 +213,6 @@
  .
  This package includes the Query Logging plugin.
 
-Package: drizzle-plugin-mysql-protocol
-Architecture: any
-Depends: drizzle (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
-Conflicts: mysql-server
-Recommends: drizzle-plugin-mysql-unix-socket-protocol
-Description: MySQL Protocol for Drizzle
- The Drizzle project is building a database optimized for Cloud and Net
- applications. It is being designed for massive concurrency on modern
- multi-cpu/core architecture. The code is originally derived from MySQL.
- .
- This package includes the MySQL Protocol Plugin.
-
-Package: drizzle-plugin-mysql-unix-socket-protocol
-Architecture: any
-Depends: drizzle (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
-Conflicts: mysql-server
-Description: MySQL Unix Domain Socket Protocol for Drizzle
- The Drizzle project is building a database optimized for Cloud and Net
- applications. It is being designed for massive concurrency on modern
- multi-cpu/core architecture. The code is originally derived from MySQL.
- .
- This package includes the MySQL Unix Domain Socket Protocol Plugin.
-
 Package: drizzle-plugin-performance-dictionary
 Architecture: any
 Depends: drizzle (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
@@ -197,16 +223,6 @@
  .
  This package includes the Performance Dictionary plugin.
 
-Package: drizzle-plugin-pbms
-Architecture: any
-Depends: drizzle (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
-Description: PrimeBase Blob Streaming for Drizzle
- The Drizzle project is building a database optimized for Cloud and Net
- applications. It is being designed for massive concurrency on modern
- multi-cpu/core architecture. The code is originally derived from MySQL.
- .
- This package includes the PrimeBase Blob Streaming plugin.
-
 Package: drizzle-plugin-rabbitmq
 Architecture: any
 Depends: drizzle (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
@@ -216,6 +232,16 @@
  multi-cpu/core architecture. The code is originally derived from MySQL.
  .
  This package includes the RabbitMQ Transaction Log plugin.
+
+Package: drizzle-plugin-regex-policy
+Architecture: any
+Depends: drizzle (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
+Description: Regex based authorization rules for Drizzle
+ The Drizzle project is building a database optimized for Cloud and Net
+ applications. It is being designed for massive concurrency on modern
+ multi-cpu/core architecture. The code is originally derived from MySQL.
+ .
+ This package includes the Regex Policy plugin.
 
 Package: drizzle-plugin-slave
 Architecture: any
@@ -237,6 +263,16 @@
  .
  This package includes a plugin implementing a simple schema-per-user
  authorization policy.
+
+Package: drizzle-plugin-query-log
+Architecture: any
+Depends: drizzle (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
+Description: Query logging for Drizzle
+ The Drizzle project is building a database optimized for Cloud and Net
+ applications. It is being designed for massive concurrency on modern
+ multi-cpu/core architecture. The code is originally derived from MySQL.
+ .
+ This package includes the Query Log plugin.
 
 Package: drizzle-plugin-dev
 Section: devel
@@ -257,43 +293,3 @@
          libboost-thread-dev,
          libcurl4-gnutls-dev,
          libdrizzledmessage-dev,
-         libgearman-dev,
-         libhaildb-dev (>= 2.3.2),
-         libldap2-dev,
-         libmemcached-dev (>= 0.39),
-         libpam0g-dev,
-         libpcre3-dev,
-         libprotobuf-dev,
-         libreadline5-dev | libreadline-dev,
-         libtokyocabinet-dev (>= 1.4.23),
-         libtool,
-         lsb-base (>= 3.0-10),
-         pandora-build,
-         python,
-         uuid-dev,
-         zlib1g-dev (>= 1:1.1.3-5),
-         ${misc:Depends}
-Description: Development files for Drizzle plugin development
- The Drizzle project is building a database optimized for Cloud and Net
- applications. It is being designed for massive concurrency on modern
- multi-cpu/core architecture. The code is originally derived from MySQL.
- .
- This package includes the headers needed to develop plugins.
-
-Package: libdrizzledmessage0
-Section: libs
-Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}
-Description: Library containing serialized messages used with Drizzle
- The Drizzle project is building a database optimized for Cloud and Net
- applications. It is being designed for massive concurrency on modern
- multi-cpu/core architecture. The code is originally derived from MySQL.
- .
- This package includes the protobuf-based message serializations.
-
-Package: libdrizzledmessage-dev
-Section: libdevel
-Architecture: any
-Depends: libdrizzledmessage0 (= ${binary:Version}),
-         ${misc:Depends},
-         ${shlibs:Depends}
